%define tallocmajor 2
%define libtalloc %mklibname talloc %tallocmajor
%define tallocdevel %mklibname -d talloc
%define libpytalloc %mklibname pytalloc-util 2
%define libpytallocdevel %mklibname -d pytalloc-util
%define oversion 2.0.5

Name: talloc
Version: 3.5.9
Release: %mkrel 2
URL: http://talloc.samba.org
Source: http://talloc.samba.org/ftp/talloc/talloc-%{oversion}.tar.xz
License: GPLv3
Summary: Library implementing Samba's memory allocator
Group: System/Libraries
BuildRequires: acl-devel xsltproc docbook-style-xsl
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Library implementing Samba's memory allocator

%package -n %libtalloc
Group: System/Libraries
Summary: Library implementing Samba's memory allocator

%description -n %libtalloc
Library implementing Samba's memory allocator

%package -n %tallocdevel
Group: Development/C
Summary: Library implementing Samba's memory allocator
Provides: talloc-devel = %{version}-%{release}
Requires: %libtalloc = %{version}-%{release}
BuildRequires: swig

%description -n %tallocdevel
Library implementing Samba's memory allocator

%package -n python-talloc
Group: Development/Python
Summary: Python module for Samba's talloc memory allocator

%description -n python-talloc
Python module for Samba's talloc memory allocator

%package -n %libpytalloc
Group: Development/C
Summary: Utility functions for using talloc objects with Python

%description -n %libpytalloc
Utility functions for using talloc objects with Python

%package -n %libpytallocdevel
Group: Development/C
Summary: Utility functions for using talloc objects with Python
Requires: %libpytalloc = %version
Provides: pytalloc-util-devel = %version-%release

%description -n %libpytallocdevel
Utility functions for using talloc objects with Python

%prep
%setup -q -n talloc-%{oversion}

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%files -n %libtalloc
%defattr(-,root,root)
%{_libdir}/libtalloc.so.%{tallocmajor}*

%files -n %tallocdevel
%defattr(-,root,root)
%{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*


%files -n python-talloc
%defattr(-,root,root)
%{py_platsitedir}/talloc.so

%files -n %libpytalloc
%defattr(-,root,root)
%{_libdir}/libpytalloc-util.so.2*

%files -n %libpytallocdevel
%defattr(-,root,root)
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.so
%{_libdir}/pkgconfig/pytalloc-util.pc

%post -n %libtalloc
/sbin/ldconfig

%postun -n %libtalloc
/sbin/ldconfig



%changelog
* Sun Aug 19 2013 billybot <billybot> 3.5.9-2pclos2013
- update python 2.7

* Sat Jul 02 2011 Texstar <texstar at gmail.com> 3.5.9-1pclos2011
- Actual version is 2.0.5 but use 3.5.9 to ease upgrading over
- previous version included in samba package

